std::once_flag(3)

NAME
std::once_flag - Flag type used by std::call_once.

SYNOPSIS

  Public Member Functions
constexpr once_flag () noexcept=default
Constructor.
once_flag (const once_flag &)=delete
Deleted copy constructor.
once_flag & operator= (const once_flag &)=delete
Deleted assignment operator.

  Friends
template<typename _Callable , typename... _Args> void call_once (once_flag &__once, _Callable &&__f, _Args &&... __args)
Invoke a callable and synchronize with other calls using the same flag.

Detailed Description

Flag type used by std::call_once.

Definition at line 672 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.